html {
  overflow-y: scroll;
}

.has-overlay {
  overflow: hidden;
}
.has-overlay > body {
  height: 100%;
  overflow-y: scroll;
}

.modal-gallery-container {
  -webkit-transform: translate(0, 100%);
  -moz-transform: translate(0, 100%);
  -o-transform: translate(0, 100%);
  -ms-transform: translate(0, 100%);
  transform: translate(0, 100%);
  -webkit-transform: translate3d(0, 100%, 0);
  transform: translate3d(0, 100%, 0);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10000999;
  opacity: 0;
  color: #222;
  line-height: 1.3;
  display: none\9;
}
.modal-gallery-container:target {
  -webkit-transform: translate(0, 0);
  -moz-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  transform: translate(0, 0);
  opacity: 1;
}
.is-active.modal-gallery-container {
  display: block\9;
}
.modal-gallery-container:target {
  display: block\9;
}
.modal-gallery-container .modal-gallery-inner {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 10000002; 
}
.modal-gallery-container .modal-gallery-inner #loading-image,
.modal-gallery-container .modal-gallery-inner #gallery-image {
	margin-left: -50%;
	margin-top: -50%;
}
.modal-gallery-container .modal-gallery-close {
  display: block;
  text-indent: -100px;
  overflow: hidden;
  text-decoration: none;
  cursor: pointer;
}
.modal-gallery-container .modal-gallery-close:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10000001;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAAEElEQVR42gEFAPr/AAAAAMwA0QDNTiUx4gAAAABJRU5ErkJggg==");
}
.modal-gallery-container .modal-gallery-close:after {
  position: absolute;
  top: 55px;
  left: 50%;
  z-index: 10000002;
  margin-left: 220px;
  padding: 2px 8px;
  font-size: 1.5em;
  text-decoration: none;
  text-indent: 0;
}